### Method

# Camel StoreSearch add_match_index

since: 3.58

#### Declaration [src]

    void
    camel_store_search_add_match_index (
      CamelStoreSearch* self,
      CamelStoreSearchIndex* index
    )

#### Description [src]

Adds a match index `index` into the `self`. It can be referenced in the search expression with ‘in-match-index “index_key”’ statement, where the index_key is “%p” of the `index`.

The `self` adds its own reference on the `index`.

Available since: 3.58

#### Parameters

`index`

  Type: `CamelStoreSearchIndex`

  A `CamelStoreSearchIndex` to add.

  The data is owned by the caller of the method.